SET(CMAKE_SYSTEM_NAME QNX4)
SET(CMAKE_SYSTEM_VERSION 4.25)
SET(CMAKE_SYSTEM_PROCESSOR x86)

set(HOST_EXECUTABLE_SUFFIX ".exe")

FIND_PATH(QNX_WATCOM_HOST
  NAME binnt/wmake${HOST_EXECUTABLE_SUFFIX}
  PATHS $ENV{WATCOM} C:/WATCOM
  NO_CMAKE_PATH
  NO_CMAKE_ENVIRONMENT_PATH
)

#set(QNX_WATCOM_HOST C:/WATCOM)
set(QNX_TARGET_INCLUDE_DIRS ${QNX_WATCOM_HOST}/h/qnx4)
set(QNX_TARGET_LIBRARIES_DIRS ${QNX_WATCOM_HOST}/lib386/qnx4)

SET(CMAKE_C_COMPILER ${QNX_WATCOM_HOST}/binnt/wcl386.exe)
SET(CMAKE_CXX_COMPILER ${QNX_WATCOM_HOST}/binnt/wcl386.exe)

  


SET(ENV{WATCOM} ${QNX_WATCOM_HOST})
SET(ENV{LIBQNX} ${QNX_TARGET_LIBRARIES_DIRS})
IF(CMAKE_HOST_WIN32)
  SET(ENV{QNX_CONFIGURATION} ${QNX_CONFIGURATION})
  SET(ENV{PATH} "$ENV{PATH};${QNX_WATCOM_HOST}/binnt")
ENDIF(CMAKE_HOST_WIN32)

#SET(CMAKE_MAKE_PROGRAM "${QNX_WATCOM_HOST}/binnt/wmake${HOST_EXECUTABLE_SUFFIX} -c"    CACHE PATH "QNX Make Program")
#SET(CMAKE_LINKER       "${QNX_WATCOM_HOST}/binnt/wlink${HOST_EXECUTABLE_SUFFIX}"     CACHE PATH "QNX Linker Program")




SET(CMAKE_FIND_ROOT_PATH ${QNX_WATCOM_HOST}) 
SET(CMAKE_FIND_ROOT_PATH_MODE_PROGRAM NEVER)
SET(CMAKE_FIND_ROOT_PATH_MODE_LIBRARY ONLY)
SET(CMAKE_FIND_ROOT_PATH_MODE_INCLUDE ONLY)


